Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown CLI Samples 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.samples.cli
Class ComplexTypesettingSample

    java.lang.Object
      org.pdfclown.samples.cli.Sample
          org.pdfclown.samples.cli.ComplexTypesettingSample

    public class ComplexTypesettingSample

extends Sample

This sample demonstrates how to create a new PDF document populating it with various graphics elements.

### Remarks

This implementation features an enlightening example of an embryonic typesetter that exploits the new typographic primitives defined in PDF Clown (see BlockComposer class in use); this is just a humble experiment -- anybody could develop a typesetter sitting upon PDF Clown!

Anyway, PDF Clown currently lacks support for content flow composition (i.e. paragraphs spread across multiple pages): since 0.0.3 release offers a static-composition facility (BlockComposer class) that is meant to be the base for more advanced functionalities (such as the above-mentioned content flow composition), to be made available in the next releases.

Version:
  0.1.2, 12/28/12
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Constructor Summary
`ComplexTypesettingSample()`

Method Summary
`void` | `run()` Executes the sample.

Methods inherited from class org.pdfclown.samples.cli.Sample
`getIndentation, getOutputPath, getOutputPath, getResourcePath, isQuit, prompt, promptChoice, promptChoice, promptFileChoice, promptNextPage, promptPageChoice, promptPageChoice, quit, serialize, serialize, serialize, serialize, serialize, serialize, serialize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ComplexTypesettingSample

    public ComplexTypesettingSample()

Method Detail

### run

    public void run()

  Description copied from class: `Sample`
  Executes the sample.

  Specified by:
    `run` in class `Sample`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown CLI Samples 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.